所需权限:
workspace:actor_fact_list路径参数
string
必填
工作空间 ID
string
必填
Actor ID
查询参数
integer
默认值:"50"
每页返回的事实数量。取值范围:1–200。
string
上一次响应返回的令牌,用于获取下一页结果
string
按内容子串筛选事实
响应
object
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v3/workspaces/ws_abc123def456/actors/actor_5e4d3c2b1a0f/facts?page_size=20' \
-H 'Authorization: Bearer sk_xxxxxx'
{
"success": true,
"data": {
"items": [
{
"id": "fact_4c5d6e7f8a9b",
"fact": "User's primary programming language is Python",
"metadata": {
"category": "skills",
"confidence": "high"
},
"expired": false,
"score": 0.92,
"expiration_date": null,
"created_at": "2025-05-20T10:00:00Z",
"updated_at": "2025-05-20T10:00:00Z"
},
{
"id": "fact_1a2b3c4d5e6f",
"fact": "User works at a fintech startup with 50 employees",
"metadata": {
"category": "work"
},
"expired": false,
"score": 0.85,
"expiration_date": "2026-05-20T10:00:00Z",
"created_at": "2025-06-01T16:45:00Z",
"updated_at": "2025-06-01T16:45:00Z"
}
],
"continuation_token": "eyJsYXN0X2lkIjoiZmFjdF8xYTJiM2M0ZDVlNmYifQ"
}
}
返回特定 Actor 的事实分页列表
GET /openapi/memorylake/api/v3/workspaces/{workspaceId}/actors/{actorId}/facts
workspace:actor_fact_listcurl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v3/workspaces/ws_abc123def456/actors/actor_5e4d3c2b1a0f/facts?page_size=20' \
-H 'Authorization: Bearer sk_xxxxxx'
{
"success": true,
"data": {
"items": [
{
"id": "fact_4c5d6e7f8a9b",
"fact": "User's primary programming language is Python",
"metadata": {
"category": "skills",
"confidence": "high"
},
"expired": false,
"score": 0.92,
"expiration_date": null,
"created_at": "2025-05-20T10:00:00Z",
"updated_at": "2025-05-20T10:00:00Z"
},
{
"id": "fact_1a2b3c4d5e6f",
"fact": "User works at a fintech startup with 50 employees",
"metadata": {
"category": "work"
},
"expired": false,
"score": 0.85,
"expiration_date": "2026-05-20T10:00:00Z",
"created_at": "2025-06-01T16:45:00Z",
"updated_at": "2025-06-01T16:45:00Z"
}
],
"continuation_token": "eyJsYXN0X2lkIjoiZmFjdF8xYTJiM2M0ZDVlNmYifQ"
}
}